#ifndef BARGRAPH_H
#define	BARGRAPH_H
//------------------------------------------------------------------------------
#include "../../assets/Soft_SPI/Soft_SPI.h"
#include "../../assets/bargraph/bargraph_prototypes.h"
//------------------------------------------------------------------------------
void bargraph_init()
{
    SPI_init();
}
//------------------------------------------------------------------------------
void bargraph_display(float num)
{
    int level = bargraph_getLevel(num);
    
    CS = 0;
 
    SPI_write( level >> 8 );    //Higher byte
    SPI_write( level );         //Lower byte

    CS = 1; 
}
//------------------------------------------------------------------------------
int bargraph_getLevel(float num)
{
    int result = 0;
    
    if(num >= 0 && num <= 500)
    {
        result = 0x0000;
    }
    else
        if(num > 500 && num <= 1000)
        {
            result = 0x0001;
        }
        else
            if(num > 1000 && num <= 1500)
            {
                result = 0x0003;
            }
            else
                if(num > 1500 && num <= 2000)
                {
                    result = 0x0007;
                }
                else
                    if(num > 2000 && num <= 2500)
                    {
                        result = 0x000F;
                    }
                    else
                        if(num > 2500 && num <= 3000)
                        {
                            result = 0x001F;
                        }
                        else
                            if(num > 3000 && num <= 3500)
                            {
                                result = 0x003F;
                            }
                            else
                                if(num > 3500 && num <= 4000)
                                {
                                    result = 0x007F;
                                }
                                else
                                    if(num > 4000 && num <= 4500)
                                    {
                                        result = 0x00FF;
                                    }
                                    else
                                        if(num > 4500 && num <= 4900)
                                        {
                                            result = 0x01FF;
                                        }
                                        else
                                            if(num > 4900 && num <= 5000)
                                            {
                                                result = 0x03FF;
                                            }
    
    return (result);
} 
//------------------------------------------------------------------------------
#endif	/* OUTPUTLEVEL_H */